aboutsummaryrefslogtreecommitdiff
path: root/powerline.sh
diff options
context:
space:
mode:
authorCody Hiar <chiar@hybridforge.com>2015-08-12 12:06:23 -0600
committerCody Hiar <chiar@hybridforge.com>2015-08-12 12:06:23 -0600
commit07fc2644a237187dd4c5680e88f4adadbf533603 (patch)
treebb6335e180df48c5a6f0b893312857d36ad470f7 /powerline.sh
Initial commit of the working files
Diffstat (limited to 'powerline.sh')
-rwxr-xr-xpowerline.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/powerline.sh b/powerline.sh
new file mode 100755
index 0000000..92c0414
--- /dev/null
+++ b/powerline.sh
@@ -0,0 +1,22 @@
+#!/usr/bin/env bash
+
+export TMUX_POWERLINE_DIR_HOME="$(dirname $0)"
+
+source "${TMUX_POWERLINE_DIR_HOME}/config/helpers.sh"
+source "${TMUX_POWERLINE_DIR_HOME}/config/paths.sh"
+source "${TMUX_POWERLINE_DIR_HOME}/config/shell.sh"
+source "${TMUX_POWERLINE_DIR_HOME}/config/defaults.sh"
+
+source "${TMUX_POWERLINE_DIR_LIB}/arg_processing.sh"
+source "${TMUX_POWERLINE_DIR_LIB}/formatting.sh"
+source "${TMUX_POWERLINE_DIR_LIB}/muting.sh"
+source "${TMUX_POWERLINE_DIR_LIB}/powerline.sh"
+source "${TMUX_POWERLINE_DIR_LIB}/rcfile.sh"
+
+if ! powerline_muted "$1"; then
+ process_settings
+ check_arg_side "$1"
+ print_powerline "$1"
+fi
+
+exit 0